com.fasterxml.jackson.dataformat.xml.ser

## Class XmlBeanSerializerModifier

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.BeanSerializerModifier
  - - com.fasterxml.jackson.dataformat.xml.ser.XmlBeanSerializerModifier

All Implemented Interfaces:
  Serializable

    public class XmlBeanSerializerModifier
    extends com.fasterxml.jackson.databind.ser.BeanSerializerModifier
    implements Serializable

We need a `BeanSerializerModifier` to replace default `BeanSerializer` with XML-specific one; mostly to ensure that attribute properties are output before element properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`XmlBeanSerializerModifier()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter>` `changeProperties(com.fasterxml.jackson.databind.SerializationConfig config, com.fasterxml.jackson.databind.BeanDescription beanDesc, List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter> beanProperties)` First thing to do is to find annotations regarding XML serialization, and wrap collection serializers.
`com.fasterxml.jackson.databind.JsonSerializer<?>` `modifySerializer(com.fasterxml.jackson.databind.SerializationConfig config, com.fasterxml.jackson.databind.BeanDescription beanDesc, com.fasterxml.jackson.databind.JsonSerializer<?> serializer)`

### Methods inherited from class com.fasterxml.jackson.databind.ser.BeanSerializerModifier

`modifyArraySerializer, modifyCollectionLikeSerializer, modifyCollectionSerializer, modifyEnumSerializer, modifyKeySerializer, modifyMapLikeSerializer, modifyMapSerializer, orderProperties, updateBuilder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XmlBeanSerializerModifier

    public XmlBeanSerializerModifier()

### Method Detail

#### changeProperties

    public List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter> changeProperties(com.fasterxml.jackson.databind.SerializationConfig config,
                                                                                        com.fasterxml.jackson.databind.BeanDescription beanDesc,
                                                                                        List<com.fasterxml.jackson.databind.ser.BeanPropertyWriter> beanProperties)

First thing to do is to find annotations regarding XML serialization, and wrap collection serializers.

Overrides:
  `changeProperties` in class `com.fasterxml.jackson.databind.ser.BeanSerializerModifier`

#### modifySerializer

    public com.fasterxml.jackson.databind.JsonSerializer<?> modifySerializer(com.fasterxml.jackson.databind.SerializationConfig config,
                                                                             com.fasterxml.jackson.databind.BeanDescription beanDesc,
                                                                             com.fasterxml.jackson.databind.JsonSerializer<?> serializer)

Overrides:
  `modifySerializer` in class `com.fasterxml.jackson.databind.ser.BeanSerializerModifier`